#!/etc/opt/openit/perl -w
#
# This script will modify acc_types
# and fix petrel inconsistent description
#
# 
#
#  
#


use strict;

my $cfg = "/var/opt/openit/etc/acc_types";
my $old = "$cfg.old";
my $new = "$cfg.new";

# Only root can patch
if ( $< ne 0 ) {
    die "Error: Patching must be done as 'root'!\n";
}

open(IN, "$cfg") || die "Error: Unable to read old cfg '$cfg'!\n";

# Read in existing file
my @lines = <IN>;
close(IN);

# Find 
my $ind = 0;

for ( $ind = 0; $ind !=scalar(@lines); $ind++ )
{
	# check for datatype 105 
	if ( $lines [ $ind ] =~ /.*Petrel.module.individual.usage/ ) {
		print "Datatype 105 is already updated, skipping.\n";
	}
	
	if ( $lines[ $ind  ] =~ /.*Petrel.individual.module.usage.*/) {
		$lines[ $ind ] = " (Petrel^module^individual^usage,\n";
		print "Datatype 105 has been updated\n";
	}
	# check for datatype 106 
	if ( $lines [ $ind ] =~ /.*Petrel.module.total.usage/ ) {
		print "Datatype 106 is already updated, skipping.\n";
	}
	if ( $lines[ $ind  ] =~ /.*Petrel.concurrent.module.usage.*/) {
		$lines[ $ind ] = " (Petrel^module^total^usage,\n";
		print "Datatype 106 has been updated\n";	
	}
}

# Write new 
open(OUT, ">$new") || die "Error: Can't write new cfg '$new'!\n";
print OUT @lines;
close(OUT);

if( ! rename($cfg, $old)) {
    die "Error: Unable to previous config to '$old'!\n";
}

if( ! rename($new, $cfg)) {
    die "Error: Unable to rename new config to '$cfg'!\n";
}

exit 0;
